GNU bug report logs - #20253
24.4; Document `region' face behavior changes, overlay, priority

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Fri, 3 Apr 2015 21:03:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 21 Sep 2016 20:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 16:25:54 2016
Received: from localhost ([127.0.0.1]:59979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmo5a-0004kf-7D
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 16:25:54 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:33552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bmo5X-0004kR-Kr
 for 20253 <at> debbugs.gnu.org; Wed, 21 Sep 2016 16:25:52 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u8LKPjDh030559
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 21 Sep 2016 20:25:45 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u8LKPiPb018318
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 21 Sep 2016 20:25:45 GMT
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u8LKPiCY027733;
 Wed, 21 Sep 2016 20:25:44 GMT
MIME-Version: 1.0
Message-ID: <0de1894c-088a-4a24-86a3-f3829c267605@default>
Date: Wed, 21 Sep 2016 13:25:43 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Alex <agrambot@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#20253: 24.4;	Document `region' face behavior changes,
 overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <87inu2vx36.fsf@HIDDEN>> <83k2eh9ic9.fsf@HIDDEN>>
 <ba530831-2ff4-49ed-9f21-b7373d55432a@default> <83wpih7ynm.fsf@HIDDEN>
 <87vaxpnmwz.fsf@HIDDEN> <834m59f6ds.fsf@HIDDEN>
 <87r38dnk5o.fsf@HIDDEN>
In-Reply-To: <87r38dnk5o.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

Related: http://emacs.stackexchange.com/q/17324/105

(This has been reported and discussed before -
both negative values and dotted-pair values.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 21 Sep 2016 19:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 15:10:56 2016
Received: from localhost ([127.0.0.1]:59928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmmv2-0002tx-6j
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 15:10:56 -0400
Received: from mail-it0-f53.google.com ([209.85.214.53]:35890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <agrambot@HIDDEN>) id 1bmmuy-0002tj-0r
 for 20253 <at> debbugs.gnu.org; Wed, 21 Sep 2016 15:10:55 -0400
Received: by mail-it0-f53.google.com with SMTP id o3so136857081ita.1
 for <20253 <at> debbugs.gnu.org>; Wed, 21 Sep 2016 12:10:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=yVxukZ+MIyhM0GYXvaIiK1VS4Wzre+VjC26TCWvXB4I=;
 b=VrrXjofgoi2QNF8gm52I0/LTk9IhVQ0PORznR8+Pyv0zGjm6uionAt75yAu8fT+CBg
 3H9Dlinu4FOQ48VFaXQq+S8gMzP7iKLCv2e0KgAVGxffeawjWILQQ9eLMn/6uWAIcLYi
 LXyz5/io9gvK7FC2eO+PSoXR2yzjXcss1z+mes2FSQKAd7fNVfzalJVOJFny8Fl1ZYYW
 df+fwhIKeqmuyHIR7b1l8QXjcgc/SNPJ0TMzrl9eaXO33hYVS22sPg2oct3voIZ1x4p4
 unQ4uvLfwfrXSEOq9yAepe1TDTcMcNE5jYW62NC1t8k3J+uMhqslip0CYquzkBnJafOQ
 VvNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yVxukZ+MIyhM0GYXvaIiK1VS4Wzre+VjC26TCWvXB4I=;
 b=Hq99/Qq5vxwbDx6F9V33GuAXxyLdNdIktr+v5ZdJxNpg8dKX5LBZe3EQTn6nBDPF0/
 jGqwA6yWjSsUAhkv6PE4nImJW0pRVrLEqKOC70X4ikPuwL/djqQNdGgZYl/Uzj63Nc3v
 YmLS/Ab3Q7x02jIpcs41dhEB14cDJVx5qZsRpAR/R2ylxvEBAHBtzwkVhW01hjZk++S0
 U5SLgcUnVAJ5z23DcEf3Mmjxu7XrucWI1IOqUXOrmb6i5b0JKhJTjWWlt/WQ4IMIugZk
 FJLS/iq9sqjT3vfHciZnkn4/r20MSIC42vRCt0Jnt4BLr2pUWux2WVTievWPCgtLK50I
 n7Yw==
X-Gm-Message-State: AE9vXwMjCog29Xu7hrcJL1h8GGUgGWFU1HAgsKY9bZtOpxxy5wxL3N6qmiDIjSV4hRIzOw==
X-Received: by 10.36.73.19 with SMTP id z19mr6496215ita.36.1474485046450;
 Wed, 21 Sep 2016 12:10:46 -0700 (PDT)
Received: from lylat (S01061859339e9903.ss.shawcable.net. [174.2.107.88])
 by smtp.gmail.com with ESMTPSA id v69sm12721939itc.1.2016.09.21.12.10.45
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 21 Sep 2016 12:10:46 -0700 (PDT)
From: Alex <agrambot@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20253: 24.4;
 Document `region' face behavior changes, overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <87inu2vx36.fsf@HIDDEN>> <83k2eh9ic9.fsf@HIDDEN>>
 <ba530831-2ff4-49ed-9f21-b7373d55432a@default>
 <83wpih7ynm.fsf@HIDDEN> <87vaxpnmwz.fsf@HIDDEN>
 <834m59f6ds.fsf@HIDDEN>
Date: Wed, 21 Sep 2016 13:10:43 -0600
In-Reply-To: <834m59f6ds.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 21 Sep
 2016 21:35:27 +0300")
Message-ID: <87r38dnk5o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Alex <agrambot@HIDDEN>
>> Cc: Drew Adams <drew.adams@HIDDEN>,  20253 <at> debbugs.gnu.org
>> Date: Wed, 21 Sep 2016 12:11:08 -0600
>> 
>> My curiosity about the meaning of a cons cell priority is what pushed me
>> to find and respond to this bug, so I guess that would count as one
>> question.
>> 
>> Since the region overlay is a very common overlay, I think it is
>> important enough to at least have a passing statement about its priority
>> value type in the documentation. Even something like "For example, some
>> overlays use a cons cell priority (PRIMARY . SECONDARY), where SECONDARY
>> is used as a tie-breaker if the PRIMARY priorities and boundaries of the
>> overlays are equal." would be nice.
>
> I hoped to hear some practical reasons for this, not just curiosity.
> Like practical use cases where knowing that internal detail (as
> opposed to using the documented methods of comparing priorities etc.)
> is imperative for that use case.

I should have mentioned that aside from curiosity I did need to know
about what the region overlay's priority represented so that I can know
what priority to give overlays that interacted with the region overlay.

> People often ask questions here out of curiosity about the display
> engine's inner workings, for example, and I try to answer them as best
> as I can.  But that doesn't mean all I write here in those discussions
> should be in the manual.

Right, but I think that the region overlay is prominent enough to have
all of its properties be in a documented form.

> IOW, the need to have some internal detail described in the manual
> (which implies we will have to update and maintain it for the years to
> come) should have more important reasons than just curiosity.

Hopefully the above is enough to warrant an extra sentence or two in the
manual.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 21 Sep 2016 18:37:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 14:37:29 2016
Received: from localhost ([127.0.0.1]:59897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmmOf-00025s-7p
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 14:37:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bmmOd-00025g-RQ
 for 20253 <at> debbugs.gnu.org; Wed, 21 Sep 2016 14:37:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bmmOU-0008RQ-GA
 for 20253 <at> debbugs.gnu.org; Wed, 21 Sep 2016 14:37:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41692)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bmmOU-0008R7-Cs; Wed, 21 Sep 2016 14:37:18 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4370
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bmmOQ-00030Q-HK; Wed, 21 Sep 2016 14:37:17 -0400
Date: Wed, 21 Sep 2016 21:35:27 +0300
Message-Id: <834m59f6ds.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alex <agrambot@HIDDEN>
In-reply-to: <87vaxpnmwz.fsf@HIDDEN> (message from Alex on Wed, 21 Sep 2016
 12:11:08 -0600)
Subject: Re: bug#20253: 24.4;
 Document `region' face behavior changes, overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <87inu2vx36.fsf@HIDDEN>> <83k2eh9ic9.fsf@HIDDEN>>
 <ba530831-2ff4-49ed-9f21-b7373d55432a@default>
 <83wpih7ynm.fsf@HIDDEN> <87vaxpnmwz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: Alex <agrambot@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>,  20253 <at> debbugs.gnu.org
> Date: Wed, 21 Sep 2016 12:11:08 -0600
> 
> My curiosity about the meaning of a cons cell priority is what pushed me
> to find and respond to this bug, so I guess that would count as one
> question.
> 
> Since the region overlay is a very common overlay, I think it is
> important enough to at least have a passing statement about its priority
> value type in the documentation. Even something like "For example, some
> overlays use a cons cell priority (PRIMARY . SECONDARY), where SECONDARY
> is used as a tie-breaker if the PRIMARY priorities and boundaries of the
> overlays are equal." would be nice.

I hoped to hear some practical reasons for this, not just curiosity.
Like practical use cases where knowing that internal detail (as
opposed to using the documented methods of comparing priorities etc.)
is imperative for that use case.

People often ask questions here out of curiosity about the display
engine's inner workings, for example, and I try to answer them as best
as I can.  But that doesn't mean all I write here in those discussions
should be in the manual.

IOW, the need to have some internal detail described in the manual
(which implies we will have to update and maintain it for the years to
come) should have more important reasons than just curiosity.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 21 Sep 2016 18:11:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 14:11:17 2016
Received: from localhost ([127.0.0.1]:59885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmlzJ-0001Sd-5e
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 14:11:17 -0400
Received: from mail-io0-f180.google.com ([209.85.223.180]:33997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <agrambot@HIDDEN>) id 1bmlzI-0001SP-4H
 for 20253 <at> debbugs.gnu.org; Wed, 21 Sep 2016 14:11:16 -0400
Received: by mail-io0-f180.google.com with SMTP id q92so61385457ioi.1
 for <20253 <at> debbugs.gnu.org>; Wed, 21 Sep 2016 11:11:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=VHEvipAeI374M2OprfHTHY2hhoOPWCpmmndnAr+LmRY=;
 b=G0kbi7tPORO2xBPk9d7BsPyTVKL7H2KQMEO4RjAKjUvGJsGqqf1lQ4uFHRD5UvQ/xA
 jU47zKapfxFn4PqAr7BvvfhmvFHkeXH4xwc1gnrhiuCruyC3TnQv+NTlbEqyin2QiOaS
 hsaMiGlVPuLpdLsHrFY7KynmLvWShbl8rr2Lsn5O79ZrGOK/D2viEnIWfbGxa2+dnfhG
 +L6uX6bmSxqTwySvyhMbNHTNop5hFOAfwM6EeHKB6pbmcQ1rF5KYbrDhb76brAs2Xztt
 uGZ6HiCJMBhfU2X31DkA0byTpePEhDDuUW9Btoyt06epb9j9pzvbmbfSz/I5UnXT7fWk
 ZsYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=VHEvipAeI374M2OprfHTHY2hhoOPWCpmmndnAr+LmRY=;
 b=Ra0ibnyo8EBhbfhja+4OZtTT6NBTRWoSbnugNEk/ZbPnrMyTOMvJLKq90PNbmoJ39Q
 4HZrK6LkLDN41WD6cfHxPMNwJY+o29HHKcTYJziVaxAaHmhfkb5zifD6ILeG/RCIXyh5
 rZ9TImixFpU7oz+yc23ZqXm4Y4Ojsl3DdcRanBHDjy9K0jXepaZEFsBrQyVRXzsFlhFa
 xssWQnKqdL0/WNdGnSZAcBAy3N4TklfyFGWz31U09DAO9ssRZxeEDD0KEixbjI8t08eN
 FNyCGY03WUanviK+OUJ5wP21yOuvFQCkTPzFDrQcjWesb8XTnOQloPybB1PrxOzMU1KW
 nB3Q==
X-Gm-Message-State: AE9vXwPCCTx5itQm+LUEuH/z39BlJoulHvrDCZGdRIbwJ5I3l+2Gh9GeH11Qqlg6uDjnpg==
X-Received: by 10.107.168.225 with SMTP id e94mr54726544ioj.111.1474481470523; 
 Wed, 21 Sep 2016 11:11:10 -0700 (PDT)
Received: from lylat (S01061859339e9903.ss.shawcable.net. [174.2.107.88])
 by smtp.gmail.com with ESMTPSA id x128sm8458811ite.22.2016.09.21.11.11.09
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 21 Sep 2016 11:11:10 -0700 (PDT)
From: Alex <agrambot@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20253: 24.4;
 Document `region' face behavior changes, overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <87inu2vx36.fsf@HIDDEN>> <83k2eh9ic9.fsf@HIDDEN>>
 <ba530831-2ff4-49ed-9f21-b7373d55432a@default>
 <83wpih7ynm.fsf@HIDDEN>
Date: Wed, 21 Sep 2016 12:11:08 -0600
In-Reply-To: <83wpih7ynm.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 12 Sep
 2016 21:37:01 +0300")
Message-ID: <87vaxpnmwz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Mon, 12 Sep 2016 10:19:42 -0700 (PDT)
>> From: Drew Adams <drew.adams@HIDDEN>
>> Cc: drew.adams@HIDDEN, 20253 <at> debbugs.gnu.org
>>
>> Questions about this arise from end users.
>
> I didn't see any.  Please invite those users to ask the questions here
> or on emacs-devel.  Maybe I will change my mind after hearing them.
>

My curiosity about the meaning of a cons cell priority is what pushed me
to find and respond to this bug, so I guess that would count as one
question.

Since the region overlay is a very common overlay, I think it is
important enough to at least have a passing statement about its priority
value type in the documentation. Even something like "For example, some
overlays use a cons cell priority (PRIMARY . SECONDARY), where SECONDARY
is used as a tie-breaker if the PRIMARY priorities and boundaries of the
overlays are equal." would be nice.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 12 Sep 2016 18:37:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 14:37:26 2016
Received: from localhost ([127.0.0.1]:57918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bjW6g-0002So-NX
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2016 14:37:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bjW6e-0002SH-3r
 for 20253 <at> debbugs.gnu.org; Mon, 12 Sep 2016 14:37:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bjW6V-0001et-PD
 for 20253 <at> debbugs.gnu.org; Mon, 12 Sep 2016 14:37:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41367)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bjW6V-0001ei-Lt; Mon, 12 Sep 2016 14:37:15 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1985
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bjW6R-0007EB-Mf; Mon, 12 Sep 2016 14:37:14 -0400
Date: Mon, 12 Sep 2016 21:37:01 +0300
Message-Id: <83wpih7ynm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <ba530831-2ff4-49ed-9f21-b7373d55432a@default> (message from Drew
 Adams on Mon, 12 Sep 2016 10:19:42 -0700 (PDT))
Subject: Re: bug#20253: 24.4;	Document `region' face behavior changes,
 overlay, priority
References: <<0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <<87inu2vx36.fsf@HIDDEN>> <<83k2eh9ic9.fsf@HIDDEN>>
 <ba530831-2ff4-49ed-9f21-b7373d55432a@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, agrambot@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)

> Date: Mon, 12 Sep 2016 10:19:42 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: drew.adams@HIDDEN, 20253 <at> debbugs.gnu.org
> 
> I disagree that THIS is an "internal" and "obscure" feature, and
> that "it is not supposed to be used by Lisp programs that are not
> part of Emacs".  It cannot be, if users want to control the behavior
> of the `region' overlay and similar.

Of course, you disagree: you filed the bug, didn't you?

> Questions about this arise from end users.

I didn't see any.  Please invite those users to ask the questions here
or on emacs-devel.  Maybe I will change my mind after hearing them.

> And the question of this bug report is not only about documenting
> (nil . NUMBER).  It is about documenting the user-visible _behavior_
> change for region highlighting, and how to accommodate and control it.

I said nothing about that part.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 12 Sep 2016 17:20:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 13:20:04 2016
Received: from localhost ([127.0.0.1]:57882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bjUto-0007Sv-Jq
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2016 13:20:04 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:38900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bjUtm-0007SM-8d
 for 20253 <at> debbugs.gnu.org; Mon, 12 Sep 2016 13:20:02 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u8CHJtdN015144
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 12 Sep 2016 17:19:55 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id u8CHJsb6022156
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 12 Sep 2016 17:19:55 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u8CHJmdM021874;
 Mon, 12 Sep 2016 17:19:54 GMT
MIME-Version: 1.0
Message-ID: <ba530831-2ff4-49ed-9f21-b7373d55432a@default>
Date: Mon, 12 Sep 2016 10:19:42 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Alex <agrambot@HIDDEN>
Subject: RE: bug#20253: 24.4;	Document `region' face behavior changes,
 overlay, priority
References: <<0ad651bb-89bc-4e86-9354-063db1c400a2@default>>
 <<87inu2vx36.fsf@HIDDEN>> <<83k2eh9ic9.fsf@HIDDEN>>
In-Reply-To: <<83k2eh9ic9.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.6 (----)

> > The Elisp manual does mention that "Emacs sometimes uses non-numeric
> > priority values for some of its internal overlays", but it would be nic=
e
> > if it documented what those were and what they mean.
> >
> > The comments in simple.el mention that a cons cell value represents
> > primary/secondary priorities, but it's not clear what the difference is=
.
>=20
> See compare_overlays in buffer.c.
>=20
> The ELisp manual is not supposed to be a comprehensive documentation
> of the Emacs internals, it's supposed to provide information for users
> who write Lisp programs.  People who develop Emacs itself will need to
> read the sources anyway.  So it's not a big deal if some obscure
> feature is not described in the manual, it just means it is not
> supposed to be used by Lisp programs that are not part of Emacs.

I disagree that THIS is an "internal" and "obscure" feature, and
that "it is not supposed to be used by Lisp programs that are not
part of Emacs".  It cannot be, if users want to control the behavior
of the `region' overlay and similar.

Questions about this arise from end users.

The change in behavior to not have highlighting of the selected text
(region) take precedence over other highlighting has provoked some
users to ask how they can get the previous behavior again, etc.
More generally, it is a fairly common question how to juggle overlay
priorities to get the effect of what (nil . NUMBER) provides.

Such questions, and their answers, immediately lead users to this
feature (after someone digs it out for them).  They ask about
understanding and controlling the _behavior_.  They end up needing
to know about (nil . NUMBER) - but it is not something that they
started out wondering about.

This is not about some curious user wanting to delve into "Emacs
internals".

And the question of this bug report is not only about documenting
(nil . NUMBER).  It is about documenting the user-visible _behavior_
change for region highlighting, and how to accommodate and control it.

 >> IOW, please communicate with your users about such changes: what
 >> they mean for users (what behavior differences they can expect),
 >> and how they can manipulate/customize the behavior.

It's the least that users can expect from the extensible, customizable,
self-documenting editor.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 12 Sep 2016 16:46:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 12:46:51 2016
Received: from localhost ([127.0.0.1]:57853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bjUNf-0006ef-LU
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2016 12:46:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bjUNX-0006eK-Ga
 for 20253 <at> debbugs.gnu.org; Mon, 12 Sep 2016 12:46:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bjUNH-0002Yj-SA
 for 20253 <at> debbugs.gnu.org; Mon, 12 Sep 2016 12:46:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39486)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bjUNH-0002YU-Oo; Mon, 12 Sep 2016 12:46:27 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1869
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bjUNG-0007Kx-SW; Mon, 12 Sep 2016 12:46:27 -0400
Date: Mon, 12 Sep 2016 19:46:30 +0300
Message-Id: <83k2eh9ic9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alex <agrambot@HIDDEN>
In-reply-to: <87inu2vx36.fsf@HIDDEN> (message from Alex on Sun, 11 Sep 2016
 17:24:45 -0600)
Subject: Re: bug#20253: 24.4;
 Document `region' face behavior changes, overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>
 <87inu2vx36.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)

> From: Alex <agrambot@HIDDEN>
> Date: Sun, 11 Sep 2016 17:24:45 -0600
> Cc: 20253 <at> debbugs.gnu.org
> 
> The Elisp manual does mention that "Emacs sometimes uses non-numeric
> priority values for some of its internal overlays", but it would be nice
> if it documented what those were and what they mean.
> 
> The comments in simple.el mention that a cons cell value represents
> primary/secondary priorities, but it's not clear what the difference is.

See compare_overlays in buffer.c.

The ELisp manual is not supposed to be a comprehensive documentation
of the Emacs internals, it's supposed to provide information for users
who write Lisp programs.  People who develop Emacs itself will need to
read the sources anyway.  So it's not a big deal if some obscure
feature is not described in the manual, it just means it is not
supposed to be used by Lisp programs that are not part of Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at 20253 <at> debbugs.gnu.org:


Received: (at 20253) by debbugs.gnu.org; 11 Sep 2016 23:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 19:25:03 2016
Received: from localhost ([127.0.0.1]:56847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bjE7S-0005bq-Uh
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 19:25:03 -0400
Received: from mail-oi0-f52.google.com ([209.85.218.52]:34073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <agrambot@HIDDEN>) id 1bjE7R-0005bC-9E
 for 20253 <at> debbugs.gnu.org; Sun, 11 Sep 2016 19:25:01 -0400
Received: by mail-oi0-f52.google.com with SMTP id m11so274173153oif.1
 for <20253 <at> debbugs.gnu.org>; Sun, 11 Sep 2016 16:25:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=HKKirjNMpFER38oIisgbtv6QVRWYd383b93y3dNWxRs=;
 b=OdyuONpeDnZgVgifMhpyEnhue38o5xS6PnRIKdjc7/GjIgS2Z9Wd7fzuvp9KhNUUYF
 FJDa9FvZkgLfobDUV1Qx+n8Gf3DVDYK0if69iwrJCg5b2SfnxbCAYiKTr++CcrjS9wuM
 TFApjkVK8Z4TEeOJymU1RPh9hWRXhhWmEjkrlh35wPLc2pQMaKvtcUBY7FxBxW/aZtz+
 E60cFUt0pKLZh9TyAR8S3KPj2E3I8/iwM+WXD2AFpkkby5kftwJpOX92Zm3yn3BKszSC
 cWIx/l47jvzcBGlz4cq+trpo3HQsVnPWG+aj+iT3XxF4KkFMwvi8lAjDbpj5FWVxJQR/
 1VFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=HKKirjNMpFER38oIisgbtv6QVRWYd383b93y3dNWxRs=;
 b=eP9nZNEHBx4mTHLBBN8sIPlFgEI3OkHIYsNKSb3F4NxIe6rqcX+XOE22xNXr61gmjo
 tFVriSiHPkfPKzaWfdMBzhFgvhF8ATAQHmKuYJ5IZHuS//OY5IajfaeJNizbEUY3TSgR
 BIACgXwXIM0ELMeFUiya0AbXYFnYocaWX67G+6FkxhOHKANcu7de7aapJxk07HXgbId4
 eeDoWaiZX3VBxGPWb108tCv67gj5de57jnu2LSVANARUYvI46tiDTQXr/O2qmixSlWdB
 PkJhaXsuF02c+u+egUy3etJrJeZws2LC4Whae4WBX5/P19maMajrEH8TunOtcwjedFx7
 hGcQ==
X-Gm-Message-State: AE9vXwMgDjbcoh734Yi708ALxdfGXEvWFcb8R9Grx120v7OJ1HtbNqhAdDJ1TmhpLIUa3g==
X-Received: by 10.202.95.133 with SMTP id t127mr19583541oib.80.1473636295603; 
 Sun, 11 Sep 2016 16:24:55 -0700 (PDT)
Received: from lylat (S01061859339e9903.ss.shawcable.net. [174.2.107.88])
 by smtp.gmail.com with ESMTPSA id n26sm572585ioi.17.2016.09.11.16.24.54
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Sep 2016 16:24:55 -0700 (PDT)
From: Alex <agrambot@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#20253: 24.4;
 Document `region' face behavior changes, overlay, priority
References: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>
Date: Sun, 11 Sep 2016 17:24:45 -0600
In-Reply-To: <0ad651bb-89bc-4e86-9354-063db1c400a2@default> (Drew Adams's
 message of "Fri, 3 Apr 2015 14:02:26 -0700 (PDT)")
Message-ID: <87inu2vx36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20253
Cc: 20253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> Since Emacs 24.3, if I recall correctly, face `region' uses an overlay.
> This produces changes in the user-observable behavior - that's why the
> change was made.
>
> But the NEWS for 24.3 and for 24.4 do not mention anything about this,
> AFAICT.  Not only does NEWS not seem to say anything about `region'
> using an overlay, but it does not even mention the observable behavior
> differences that this produces.
>
> And the Elisp manual is likewise silent on this change.
>
> Please tell users that such a change was made.  That's what NEWS is for.
>
> And please tell users, in the Elisp manual, what the default priority of
> the overlay is.  Testing shows a priority value of (nil . 100), which is
> not even a documented form that an overlay priority can take.  But even
> if that is what the value needs to be, for internal reasons, at least
> tell users what it is.
>
> And if, for some reason, users are supposed not to change the priority,
> then say so, in the doc.  And if there is no such restriction or
> recommendation, then let them know, if they should be assigning a
> priority value that is a cons, such as (nil . NUMBER).
>
> IOW, please communicate with your users about such changes: what they
> mean for users (what behavior differences they can expect), and how they
> can manipulate/customize the behavior.

The Elisp manual does mention that "Emacs sometimes uses non-numeric
priority values for some of its internal overlays", but it would be nice
if it documented what those were and what they mean.

The comments in simple.el mention that a cons cell value represents
primary/secondary priorities, but it's not clear what the difference is.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2015 21:02:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 17:02:44 2015
Received: from localhost ([127.0.0.1]:44174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ye8jj-00049p-Ol
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2015 17:02:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51043)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8jh-00049b-4r
 for submit <at> debbugs.gnu.org; Fri, 03 Apr 2015 17:02:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8jb-0001Bs-2T
 for submit <at> debbugs.gnu.org; Fri, 03 Apr 2015 17:02:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57408)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8ja-0001Bo-WB
 for submit <at> debbugs.gnu.org; Fri, 03 Apr 2015 17:02:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52764)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8ja-0002mg-4k
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2015 17:02:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8jV-0001Ax-5m
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2015 17:02:34 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:29825)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Ye8jU-0001Al-WD
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2015 17:02:29 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t33L2Rxm029653
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Fri, 3 Apr 2015 21:02:28 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id t33L2R9A010982
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Fri, 3 Apr 2015 21:02:27 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by userv0122.oracle.com (8.13.8/8.13.8) with ESMTP id t33L2QGK009696
 for <bug-gnu-emacs@HIDDEN>; Fri, 3 Apr 2015 21:02:26 GMT
MIME-Version: 1.0
Message-ID: <0ad651bb-89bc-4e86-9354-063db1c400a2@default>
Date: Fri, 3 Apr 2015 14:02:26 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4; Document `region' face behavior changes, overlay, priority
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Since Emacs 24.3, if I recall correctly, face `region' uses an overlay.
This produces changes in the user-observable behavior - that's why the
change was made.

But the NEWS for 24.3 and for 24.4 do not mention anything about this,
AFAICT.  Not only does NEWS not seem to say anything about `region'
using an overlay, but it does not even mention the observable behavior
differences that this produces.

And the Elisp manual is likewise silent on this change.

Please tell users that such a change was made.  That's what NEWS is for.

And please tell users, in the Elisp manual, what the default priority of
the overlay is.  Testing shows a priority value of (nil . 100), which is
not even a documented form that an overlay priority can take.  But even
if that is what the value needs to be, for internal reasons, at least
tell users what it is.

And if, for some reason, users are supposed not to change the priority,
then say so, in the doc.  And if there is no such restriction or
recommendation, then let them know, if they should be assigning a
priority value that is a cons, such as (nil . NUMBER).

IOW, please communicate with your users about such changes: what they
mean for users (what behavior differences they can expect), and how they
can manipulate/customize the behavior.

In GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-24 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/usr'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20253; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Sep 2016 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.